baseURL: "https://www.zacharybillman.com/"
languageCode: en-us
title: Zachary Billman
theme: [PaperMod, hugo-shortcode-gallery]

enableRobotsTXT: true
enableEmoji: true
# disqusShortname: zacharybillman # Deactivated to try cactus.chat

params:
  env: production
  title: "Zachary Billman"
  description: "Zach Billman's blog, where I talk about birds, science, and what ever else catches my fancy."
  keywords: [Blog, Portfolio, PaperMod, Zachary Billman, Zach Billman]
  author: "Zachary Billman"
  DateFormat: "Monday, January 2, 2006"
  defaultTheme: light
  disableThemeToggle: false

  ShowReadingTime: true
  ShowShareButtons: false
  ShowPostNavLinks: true
  ShowBreadCrumbs: true
  ShowCodeCopyButtons: true
  disableSpecial1stPost: false
  disableScrollToTop: false
  hidemeta: false
  hideSummary: false
  showtoc: false
  tocopen: false
  comments: true
  galleryLoadJQuery: true

  assets:
    favicon: "/favicon.ico"
    favicon16x16: "/favicon-16x16.png"
    favicon32x32: "/favicon-32x32.png"

  label:
    text: "Zachary Billman"
    icon: /homepage/flask.svg
    iconHeight: 35
    url: https://www.zacharybillman.com

  # profile-mode
  profileMode:
    enabled: true
    title: "Zachary Billman"
    subtitle: "Welcome to my humble blog, where I say a little about... not much. Stay tuned for future updates on birds I've seen lately, science I think is interesting, and my journey through my MD-PhD training."
    imageUrl: /homepage/2021_headshot.webp
    imageWidth: 360
    imageHeight: 360
    imageTitle: Headshot of Zachary Billman, the owner and maintainer of this website.
    buttons:
      - name: About Me
        url: /posts/about-me/
      - name: All Posts
        url: posts

  socialIcons:
    - name: gitea
      url: "https://gitea.zacharybillman.com/zpb"
    - name: email
      url: "mailto:zach@zacharybillman.com"

  fuseOpts:
    isCaseSensitive: false
    shouldSort: true
    location: 0
    distance: 1000
    threshold: 0.4
    minMatchCharLength: 0

menu:
  main:
    - identifier: categories
      name: categories
      url: /categories/
      weight: 10
    - identifier: tags
      name: tags
      url: /tags/
      weight: 20
    - identifier: posts
      name: posts
      url: /posts/
      weight: 30
    - identifier: search
      name: search
      url: /search/
      weight: 40

outputs:
    home:
        - HTML
        - RSS
        - JSON

markup:
  goldmark:
    renderer:
      unsafe: true
